Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584415 - NotImplementedException in pdfobjects::CPdf::changeIndirectProperty
NotImplementedException in pdfobjects::CPdf::changeIndirectProperty
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pdfedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:ff2742358ff2a0277ad82da135f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 10:32 EDT by Juan Pablo Lorier
Modified: 2010-06-10 15:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: pdfedit-0.4.5-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 15:10:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.22 KB, text/plain)
2010-04-21 10:32 EDT, Juan Pablo Lorier
no flags Details

  None (edit)
Description Juan Pablo Lorier 2010-04-21 10:32:07 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: pdfedit '/home/jplorier/Documentos/Canal/Mzo 10 - Questionnaire re Satellite Encryption 091125 FINAL.pdf'
component: pdfedit
executable: /usr/bin/pdfedit
kernel: 2.6.32.11-99.fc12.i686.PAE
package: pdfedit-0.4.3-4.fc12
rating: 4
reason: Process /usr/bin/pdfedit was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Add a text field to an existing pdf
2.Add text to the field
3.left click outside the field
Comment 1 Juan Pablo Lorier 2010-04-21 10:32:13 EDT
Created attachment 408089 [details]
File: backtrace
Comment 2 Orion Poplawski 2010-04-21 12:39:09 EDT
Can you reproduce with pdfedit-4.4.1.1?  I can't.

yum --enablerepo=updates-testing upgrade pdfedit
Comment 3 Orion Poplawski 2010-04-21 12:42:53 EDT
#6  0x030e1a72 in __cxxabiv1::__cxa_throw (obj=0x97bcb28, tinfo=0x836f3ac, 
    dest=0x823d320 <NotImplementedException::~NotImplementedException()>)
    at ../../../../libstdc++-v3/libsupc++/eh_throw.cc:83
        header = <value optimized out>
#7  0x0829ba87 in pdfobjects::CPdf::changeIndirectProperty(boost::shared_ptr<pdfobjects::IProperty>) ()
No symbol table info available.
Comment 4 Fedora Update System 2010-06-02 18:51:21 EDT
pdfedit-0.4.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pdfedit-0.4.5-1.fc12
Comment 5 Fedora Update System 2010-06-03 14:15:56 EDT
pdfedit-0.4.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pdfedit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pdfedit-0.4.5-1.fc12
Comment 6 Fedora Update System 2010-06-10 15:10:12 EDT
pdfedit-0.4.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.